﻿using System;
using System.Linq;

namespace FizzBuzzKata
{
    internal static class Kata
    {
        internal static string FizzBuzz(int start, int count)
        {
            return Enumerable
                .Range(start, count)
                .Select(x => SingleFizzBuzz(x))
                .Aggregate((x, y) => x + Environment.NewLine + y);
        }

        internal static string SingleFizzBuzz(int number)
        {
            if (number % (3 * 5) == 0) return "FizzBuzz";
            if (number % 5 == 0) return "Buzz";
            if (number % 3 == 0) return "Fizz";
            return number.ToString();
        }
    }
}
